<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__sar__state__backup__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_sar_state_backup_t</compoundname>
    <includes local="no">cy_sar.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__sar__state__backup__t_1a6ffea353bffaff5b3aff73a92c22d3d4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_state_backup_t::hwEnabled</definition>
        <argsstring />
        <name>hwEnabled</name>
        <briefdescription>
<para>SAR enabled state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1367" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1367" />
      </memberdef>
      <memberdef id="structcy__stc__sar__state__backup__t_1ae71d23888a89234fa8daea00b898885f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_sar_state_backup_t::continuous</definition>
        <argsstring />
        <name>continuous</name>
        <briefdescription>
<para>State of the continuous bit. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1368" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1368" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure is used by the driver to backup the state of the SAR before entering sleep so that it can be re-enabled after waking up. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1369" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1365" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1366" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__sar__state__backup__t_1ae71d23888a89234fa8daea00b898885f" virt="non-virtual"><scope>cy_stc_sar_state_backup_t</scope><name>continuous</name></member>
      <member prot="public" refid="structcy__stc__sar__state__backup__t_1a6ffea353bffaff5b3aff73a92c22d3d4" virt="non-virtual"><scope>cy_stc_sar_state_backup_t</scope><name>hwEnabled</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>